select
   us3.nr01 as nr01,
   us3.p02  as p01,
   us2.p02  as p02,
   us3.p03  as p03,
   us3.p04  as p04,
   us2.p30  as p30
from us3
LEFT JOIN us2 ON us2.p01=us3.p02
WHERE us3.p01='{np01}'
   && us3.nr01<>0
   && us2.nr01 is not null
ORDER BY us3.p02;